classification
Title: add new triplets for mips r6 and riscv variants
Type: Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: doko, ned.deily
Priority: normal Keywords: patch

Created on 2018-04-28 15:45 by doko, last changed 2018-05-01 14:40 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
mips-r6.diff doko, 2018-04-28 15:45
riscv64.diff doko, 2018-04-28 15:46
Pull Requests
URL Status Linked Edit
PR 6655 merged doko, 2018-04-30 15:32
PR 6660 merged miss-islington, 2018-04-30 18:07
Messages (3)
msg315864 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-04-28 15:45
Late last year / early this year, Debian defined new triplets for some mips r6 and riscv variants.  Please still consider these for the 3.7 release.  These patches are in use in Debian for a while and show no regressions.

The new variants are documented at https://wiki.debian.org/Multiarch/Tuples
msg315955 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-04-30 17:22
New changeset ddbe976964933cb943c6383a776e800cc7e0f47d by Matthias Klose in branch 'master':
bpo-33377: add triplets for mips-r6 and riscv (#6655)
https://github.com/python/cpython/commit/ddbe976964933cb943c6383a776e800cc7e0f47d
msg315999 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-05-01 14:40
New changeset 0596f319020ad34010cbf98608021080ba2a1d4b by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-33377: add triplets for mips-r6 and riscv (GH-6655) (GH-6660)
https://github.com/python/cpython/commit/0596f319020ad34010cbf98608021080ba2a1d4b
History
Date User Action Args
2018-09-14 16:52:52benjamin.petersonlinkissue33070 superseder
2018-05-01 14:40:50ned.deilysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-05-01 14:40:20ned.deilysetmessages: + msg315999
2018-04-30 18:07:17miss-islingtonsetpull_requests: + pull_request6356
2018-04-30 17:22:19dokosetmessages: + msg315955
2018-04-30 15:32:47dokosetstage: patch review
pull_requests: + pull_request6351
2018-04-28 15:46:10dokosetfiles: + riscv64.diff
2018-04-28 15:45:46dokocreate